import { defineComponent, useCssVars, unref, toRefs, openBlock, createElementBlock, createVNode, withCtx, createElementVNode } from "vue";
import _sfc_main$1 from "../../../NComponents/configCommon/refConfig.mjs";
import "./index.vue_vue_type_style_index_0_scoped_true_lang.mjs";
import _export_sfc from "../../../../_virtual/plugin-vue_export-helper.mjs";
const _hoisted_1 = { class: "com_14" };
const _hoisted_2 = { class: "com_14_2" };
const __default__ = defineComponent({ name: "EComponent14" });
const _sfc_main = /* @__PURE__ */ defineComponent({
  ...__default__,
  props: {
    chartConfig: {
      type: Object,
      required: true
    }
  },
  setup(__props) {
    const props = __props;
    useCssVars((_ctx) => ({
      "a0cc917a": unref(boxBGC)
    }));
    const {
      titleConfig,
      imageConfig,
      unitConfig,
      valueConfig,
      boxBGC
    } = toRefs(props.chartConfig.option);
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", _hoisted_1, [
        createVNode(_sfc_main$1, {
          type: "bgImg",
          config: unref(imageConfig),
          class: "com_14_1"
        }, {
          default: withCtx(() => [
            createVNode(_sfc_main$1, {
              type: "text",
              config: unref(titleConfig)
            }, null, 8, ["config"])
          ]),
          _: 1
        }, 8, ["config"]),
        createElementVNode("div", _hoisted_2, [
          createVNode(_sfc_main$1, {
            type: "number",
            config: unref(valueConfig),
            class: "number"
          }, null, 8, ["config"]),
          createVNode(_sfc_main$1, {
            type: "text",
            config: unref(unitConfig)
          }, null, 8, ["config"])
        ])
      ]);
    };
  }
});
var _EComponent14 = /* @__PURE__ */ _export_sfc(_sfc_main, [["__scopeId", "data-v-095aa8b0"]]);
export { _EComponent14 as default };
